org.apache.tinkerpop.gremlin.server.channel

## Class WsAndHttpChannelizer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.server.AbstractChannelizer
    - - org.apache.tinkerpop.gremlin.server.channel.WsAndHttpChannelizer

- All Implemented Interfaces:
    Channelizer

      public class WsAndHttpChannelizer
      extends AbstractChannelizer

  A channelizer for port unification with websockets and http
  Author:
    Keith Lohnes lohnesk@gmail.com

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.AbstractChannelizer

      `authenticator, DEFAULT_SERIALIZERS, graphManager, GREMLIN_ENDPOINT, gremlinExecutor, gremlinExecutorService, PIPELINE_AUTHENTICATOR, PIPELINE_HTTP_REQUEST_DECODER, PIPELINE_HTTP_RESPONSE_ENCODER, PIPELINE_OP_EXECUTOR, PIPELINE_OP_SELECTOR, PIPELINE_REQUEST_HANDLER, PIPELINE_RESULT_ITERATOR_HANDLER, PIPELINE_SSL, scheduledExecutorService, serializers, settings, sslContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsAndHttpChannelizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ChannelPipeline pipeline)` This method is called from within `#initChannel(io.netty.channel.socket.SocketChannel)` just after the SSL handler is put in the pipeline.
    `Object` | `createIdleDetectionMessage()` Create a message to send to seemingly dead clients to see if they respond back.
    `void` | `init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor)` This method is called just after the `Channelizer` is initialized.
    `boolean` | `supportsIdleMonitor()` Determines if the channelizer supports a method for keeping the connection alive and auto-closing zombie channels.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.server.AbstractChannelizer

      `createAuthenticationHandler, finalize, initChannel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsAndHttpChannelizer

          public WsAndHttpChannelizer()

  - ### Method Detail

    - #### init

          public void init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor)

      Description copied from interface: `Channelizer`
      This method is called just after the `Channelizer` is initialized.
      Specified by:
        `init` in interface `Channelizer`
      Overrides:
        `init` in class `AbstractChannelizer`

    - #### configure

          public void configure(ChannelPipeline pipeline)

      Description copied from class: `AbstractChannelizer`
      This method is called from within `#initChannel(io.netty.channel.socket.SocketChannel)` just after the SSL handler is put in the pipeline. Modify the pipeline as needed here.
      Specified by:
        `configure` in class `AbstractChannelizer`

    - #### supportsIdleMonitor

          public boolean supportsIdleMonitor()

      Description copied from interface: `Channelizer`
      Determines if the channelizer supports a method for keeping the connection alive and auto-closing zombie channels.

    - #### createIdleDetectionMessage

          public Object createIdleDetectionMessage()

      Description copied from interface: `Channelizer`
      Create a message to send to seemingly dead clients to see if they respond back. The message sent will be dependent on the implementation. For example, a websocket implementation would create a "ping" message. This method will only be used if `Channelizer.supportsIdleMonitor()` is `true`.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.